<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfJP_GroupFee ArrayType
 * @subpackage Arrays
 */
class ArrayOfJP_GroupFee extends AbstractStructArrayBase
{
    /**
     * The GroupFee
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\JP_GroupFee[]
     */
    public $GroupFee;
    /**
     * Constructor method for ArrayOfJP_GroupFee
     * @uses ArrayOfJP_GroupFee::setGroupFee()
     * @param \StructType\JP_GroupFee[] $groupFee
     */
    public function __construct(array $groupFee = array())
    {
        $this
            ->setGroupFee($groupFee);
    }
    /**
     * Get GroupFee value
     * @return \StructType\JP_GroupFee[]|null
     */
    public function getGroupFee()
    {
        return $this->GroupFee;
    }
    /**
     * Set GroupFee value
     * @throws \InvalidArgumentException
     * @param \StructType\JP_GroupFee[] $groupFee
     * @return \ArrayType\ArrayOfJP_GroupFee
     */
    public function setGroupFee(array $groupFee = array())
    {
        foreach ($groupFee as $arrayOfJP_GroupFeeGroupFeeItem) {
            // validation for constraint: itemType
            if (!$arrayOfJP_GroupFeeGroupFeeItem instanceof \StructType\JP_GroupFee) {
                throw new \InvalidArgumentException(sprintf('The GroupFee property can only contain items of \StructType\JP_GroupFee, "%s" given', is_object($arrayOfJP_GroupFeeGroupFeeItem) ? get_class($arrayOfJP_GroupFeeGroupFeeItem) : gettype($arrayOfJP_GroupFeeGroupFeeItem)), __LINE__);
            }
        }
        $this->GroupFee = $groupFee;
        return $this;
    }
    /**
     * Add item to GroupFee value
     * @throws \InvalidArgumentException
     * @param \StructType\JP_GroupFee $item
     * @return \ArrayType\ArrayOfJP_GroupFee
     */
    public function addToGroupFee(\StructType\JP_GroupFee $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\JP_GroupFee) {
            throw new \InvalidArgumentException(sprintf('The GroupFee property can only contain items of \StructType\JP_GroupFee, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->GroupFee[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\JP_GroupFee|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\JP_GroupFee|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\JP_GroupFee|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\JP_GroupFee|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\JP_GroupFee|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string GroupFee
     */
    public function getAttributeName()
    {
        return 'GroupFee';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfJP_GroupFee
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
