<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_GroupFee StructType
 * @subpackage Structs
 */
class JP_GroupFee extends AbstractStructBase
{
    /**
     * The SeatGroup
     * Meta informations extracted from the WSDL
     * - use: required
     * @var int
     */
    public $SeatGroup;
    /**
     * The Paxes
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RelPaxDist
     */
    public $Paxes;
    /**
     * The Price
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Price
     */
    public $Price;
    /**
     * Constructor method for JP_GroupFee
     * @uses JP_GroupFee::setSeatGroup()
     * @uses JP_GroupFee::setPaxes()
     * @uses JP_GroupFee::setPrice()
     * @param int $seatGroup
     * @param \ArrayType\ArrayOfJP_RelPaxDist $paxes
     * @param \StructType\JP_Price $price
     */
    public function __construct($seatGroup = null, \ArrayType\ArrayOfJP_RelPaxDist $paxes = null, \StructType\JP_Price $price = null)
    {
        $this
            ->setSeatGroup($seatGroup)
            ->setPaxes($paxes)
            ->setPrice($price);
    }
    /**
     * Get SeatGroup value
     * @return int
     */
    public function getSeatGroup()
    {
        return $this->SeatGroup;
    }
    /**
     * Set SeatGroup value
     * @param int $seatGroup
     * @return \StructType\JP_GroupFee
     */
    public function setSeatGroup($seatGroup = null)
    {
        // validation for constraint: int
        if (!is_null($seatGroup) && !is_numeric($seatGroup)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($seatGroup)), __LINE__);
        }
        $this->SeatGroup = $seatGroup;
        return $this;
    }
    /**
     * Get Paxes value
     * @return \ArrayType\ArrayOfJP_RelPaxDist|null
     */
    public function getPaxes()
    {
        return $this->Paxes;
    }
    /**
     * Set Paxes value
     * @param \ArrayType\ArrayOfJP_RelPaxDist $paxes
     * @return \StructType\JP_GroupFee
     */
    public function setPaxes(\ArrayType\ArrayOfJP_RelPaxDist $paxes = null)
    {
        $this->Paxes = $paxes;
        return $this;
    }
    /**
     * Get Price value
     * @return \StructType\JP_Price|null
     */
    public function getPrice()
    {
        return $this->Price;
    }
    /**
     * Set Price value
     * @param \StructType\JP_Price $price
     * @return \StructType\JP_GroupFee
     */
    public function setPrice(\StructType\JP_Price $price = null)
    {
        $this->Price = $price;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_GroupFee
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
